--
-- Структура таблицы `ban_ip`
--

CREATE TABLE IF NOT EXISTS `ban_ip` (
  `id` int(9) NOT NULL auto_increment,
  `date` int(11) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `reason` varchar(255) NOT NULL,
  `type` enum('1','2') NOT NULL,
  `url` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ban_site`
--

CREATE TABLE IF NOT EXISTS `ban_site` (
  `id` int(9) NOT NULL auto_increment,
  `url` varchar(255) NOT NULL,
  `why` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `book`
--

CREATE TABLE IF NOT EXISTS `book` (
  `id` int(9) NOT NULL auto_increment,
  `time` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `reply` text NOT NULL,
  `ip` bigint(11) NOT NULL,
  `ua` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cat`
--

CREATE TABLE IF NOT EXISTS `cat` (
  `id` int(9) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL,
  `about` varchar(255) NOT NULL,
  `count` int(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `komm`
--

CREATE TABLE IF NOT EXISTS `komm` (
  `id` int(9) NOT NULL auto_increment,
  `id_site` int(9) NOT NULL,
  `id_news` int(9) NOT NULL,
  `name` varchar(100) NOT NULL,
  `text` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `browser` tinytext NOT NULL,
  `reply` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `text` text NOT NULL,
  `date` int(11) NOT NULL,
  `count` int(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `online`
--

CREATE TABLE IF NOT EXISTS `online` (
  `id` int(10) NOT NULL auto_increment,
  `ip` varchar(20) NOT NULL,
  `unix` varchar(60) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `set`
--

CREATE TABLE IF NOT EXISTS `set` (
  `reg` enum('open','mod','close') NOT NULL default 'mod',
  `url` varchar(100) NOT NULL,
  `admin` varchar(100) NOT NULL,
  `pass` varchar(100) NOT NULL,
  `on_page` varchar(100) NOT NULL default '5',
  `rate` enum('0','1') NOT NULL default '1',
  `review` enum('0','1') NOT NULL default '1',
  `search` enum('0','1') NOT NULL default '1',
  `news` enum('0','1') NOT NULL default '1',
  `captcha` enum('0','1') NOT NULL default '1',
  `about` text NOT NULL,
  `about_set` enum('0','1') NOT NULL default '1',
  `theme` varchar(255) NOT NULL default 'default',
  `correct_url` enum('0','1') NOT NULL default '1',
  `book` enum('0','1') NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `set_news`
--

CREATE TABLE IF NOT EXISTS `set_news` (
  `view` enum('0','1') NOT NULL default '1',
  `komm` enum('0','1') NOT NULL default '1',
  `bbcode` enum('0','1') NOT NULL default '1',
  `smileys` enum('0','1') NOT NULL default '1',
  `antiflood` int(5) NOT NULL default '30',
  `prew_news` enum('0','1') NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `sites`
--

CREATE TABLE IF NOT EXISTS `sites` (
  `id` int(9) NOT NULL auto_increment,
  `id_cat` int(9) NOT NULL,
  `url` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `about` text NOT NULL,
  `type` enum('0','1') NOT NULL,
  `date` int(11) NOT NULL,
  `count` int(9) NOT NULL,
  `rate` varchar(255) NOT NULL default '0|0',
  `ip` bigint(11) NOT NULL,
  `browser` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
